org.apache.felix.systemready

## Interface SystemReadyMonitor

Deprecated.
Use the Apache Felix Healthchecks instead.

    @Deprecated
    public interface SystemReadyMonitor

Checks that all registered ready and builds an aggregated state of the system. The aggregated state is the worst state of all checks. This framework is deprecated.

### Field Summary

Fields
`static String` `PID` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`SystemStatus` `getStatus(StateType stateType)` Deprecated.

### Field Detail

#### PID

    static final String PID

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### getStatus

    SystemStatus getStatus(StateType stateType)

Deprecated.

Returns:
  detailed system state